%==========================================================================
% IBD_README_Introduction
%==========================================================================
% How to work with the provided Matlab files defining the IBD model 
% presented in
% Stuebler et al., 2022: Cell-level systems biology model to study 
% inflammatory bowel diseases and their treatment options
%==========================================================================

% To add all Matlab files in this folder to the Matlab path, execute
IBD_Paths

% The analyses are divided into two folders:

% 1) IBD_simulations
% for simulations of inflammation scenarios using the novel systems biology 
% model, including sensitivity analysis (LSA, IR, and simulation of 
% knockout scenarios).
% The following files contain commands to execute all analysis scripts in 
% the right order.
% Do not run the full script, since same parts may take very long! Use it 
% to run each analysis one-by-one.
IBD_SimModelChapter
% for simulations and plots describing the model behaviour
IBD_SimKnockoutChapter
% for simulation of knockout scenarios and sensitivity analysis

% 2) IBD_virtualPopulation
% for simulation and analysis of a virtual population of healthy and IBD
% individuals, and treatment.
% The file 
IBD_VirtualPopulationOverview
% contains commands to generate and analyse the virtual population in the 
% right order, as most analysis files depend on the execution of other 
% files. As the generation of the virtual population, and several analyses
% thereof, are computationally demanding (and may take several days), we
% recommend to execute them on a remote server, and to only execute files 
% providing plots or interpretation on a local computer/laptop.
% Do not run the full script, since same parts may take very long! Use it 
% to run each analysis one-by-one.

%--------------------------------------------------------------------------


