function compTable = IBD_fs_analyseClassificationMethods(datasetName)
%==========================================================================
% IBD_fs_analyseClassificationMethods(datasetName)
%==========================================================================
% Comparison of classification methods for given dataset
% 14 October 2020
%--------------------------------------------------------------------------
%-- input
% datasetName:    	name of the data to compare
%                   'par' | 'ss0' | any treatment name
%--------------------------------------------------------------------------
%-- output         
%==========================================================================

fileName = IBD_getFileName(mfilename('fullpath'));
fprintf('<strong>%s</strong>\n',fileName)

%--------------------------------------------------------------------------
thisFile = strrep(fileName,'IBD_','');

% Load file name list
load('Data/fileNameList.mat','fileNameList')

% Load comparison result
load(fileNameList.fs_compareClassificationMethods.(datasetName));

%--------------------------------------------------------------------------
%% Print result table
allMeasurable = fieldnames(compTable);
for i = 1:length(allMeasurable)
    measurable = allMeasurable{i};
    allCDEIS = fieldnames(compTable.(measurable));
    for j = 1:length(allCDEIS)
        excludeCDEIS = allCDEIS{j};
        fprintf('Performance for measurable: %s, excludeCDEIS: %s\n',measurable,excludeCDEIS)
        disp(sortrows(compTable.(measurable).(excludeCDEIS),'correct','descend'))
    end
end
%%
