function dataTableNew = IBD_fs_measurablePars(dataTable,individual_ref)
%==========================================================================
% dataTable = IBD_fs_measurablePars(dataTable,individual_ref)
%==========================================================================
% Condense dataset to measurable parameters
% 24 January 2020
%--------------------------------------------------------------------------
%-- input
% dataTable:    	full dataset
% individual_ref:   reference individual
%--------------------------------------------------------------------------
%-- output
% dataTableNew:    	condensed dataset of measurable state variables
%==========================================================================

% Check that variable names are parameter names
assert(all(ismember(dataTable.Properties.VariableNames(1:end-1),individual_ref.I.parName)),...
    'This function can only be used on a dataset of parameters.')

% At the moment, we consider all parameters not directly measurable.
% Therefore the original datatable is returned.

dataTableNew = dataTable;

%--------------------------------------------------------------------------
end

