function [dataTable_train,dataTable_test] = IBD_fs_splitDataTable(dataTable,N_test)
%==========================================================================
% [dataTable_train,dataTable_test] = IBD_fs_splitDataTable(dataTable,N_test)
%==========================================================================
% Split the dataset into traing and test data
% 23 January 2020
%--------------------------------------------------------------------------
%-- input
% dataTable:    	dataset
% N_test:           number of individuals in the test dataset
%--------------------------------------------------------------------------
%-- output
% dataTable_train: 	training dataset
% dataTable_test	test dataset
%==========================================================================

idx_test        = datasample(1:size(dataTable,1),N_test,'Replace',false);
dataTable_test  = dataTable(idx_test,:);
dataTable_train = dataTable(setdiff(1:size(dataTable,1),idx_test),:);
    
end

