function line = IBD_colourPlot(x,y,t,colourScheme,varargin)
%==========================================================================
% [] = IBD_colourPlot(x,y,colourScheme)
%==========================================================================
% Plot line with changing colour
%--------------------------------------------------------------------------
%-- input
% x:            x values
% y:            y values
% colourScheme: colour scheme (see IBD_colourMap)
% varargin:     additional parameters to plot function
%--------------------------------------------------------------------------
%-- output
% line          % line array
%==========================================================================

% Get colourmap
cmap = IBD_colourMap(colourScheme,numel(x)-1);

% Plot as single lines
xNew = [reshape(x(1:end-1),numel(x)-1,1),reshape(x(2:end),numel(x)-1,1)];
yNew = [reshape(y(1:end-1),numel(y)-1,1),reshape(y(2:end),numel(y)-1,1)];
line = plot(xNew',yNew',varargin{:});

% Map time to colour
t = t-t(1)+1;           % start at 1
t = ceil(t/max(t)*size(cmap,1));

% Colour lines
for i = 1:length(line)
    line(i).Color = cmap(t(i),:);
end

%--------------------------------------------------------------------------

end