function [nrow,ncol] = IBD_getNrOfColsAndRows(total,maxrows,maxcols)
%==========================================================================
% [nrow,ncol] = IBD_getNrOfColsAndRows(total,maxrows,maxcols)
%==========================================================================
% Calculate the number of rows and columns for a given nr of subplots
%--------------------------------------------------------------------------
%-- input
% total:      	total number of subplots
% maxrows:      (optional) maximal number of rows (default: 5)
% maxcols:      (optional) maximal number of columns (default: 5)
%--------------------------------------------------------------------------
%-- output
% nrow         	number of rows
% ncol          number of columns
%==========================================================================

if ~exist('maxrows','var')
    maxrows     = 5;
end

if ~exist('maxcols','var')
    maxcols     = 5;
end

ncol 	= min(maxcols,ceil(sqrt(total)));
nrow 	= min(maxrows,ceil(total/ncol));
    
end

