function col = IBD_myColours(name)
%==========================================================================
% col = IBD_myColours(name)
%==========================================================================
% Definition of frequently used colours
%--------------------------------------------------------------------------
%-- input
% name:       	name of colour
%--------------------------------------------------------------------------
%-- output
% col:       	1x3 colour
%==========================================================================

switch name
    
    case 'histogram1'
        col = [1 1 0.5];
        
    case 'crosses1'
        col = [0.8 0 0];
        
    case 'crosses2'
        col = [0 0 0.8];
        
    case 'crosses3'
        col = [0.7 0 0.7];
    
    case 'line1'
        col = [0.3 0 0.8];
        
    case 'healthy'
        col = [0 0.8 0];
        
    case 'IBD'
        col = [0.8 0 0];
        
    case 'treatmentBackground'
        col = [1 1 0.3];
        
    case 'FCP'
        col = [0.5 0.5 0.5];
        
    case 'responseRates'
        col = [0.8 0 0.8];
        
    case 'responseRates_PT'
        col = [0 0.5 0.5];
        
    case 'responseRates_early'
        col = [0 0.5 0];
        
    case 'NEC_elimination'
        col = [0 0.6 0];
        
    case 'NEC_growth'
        col = [0.9 0 0];
        
    case 'NEC'
        col = [0 0 0.9];
        
    case 'combinedResponse'
        col = [0 0 0.9;...
               0 0.45 0.45;...
               0 0.9 0;...
               0.9 0 0];
           
    case 'combinationResponse'
        col = [0 0.45 0.45;...
               0 0.9 0;...
               0.9 0 0];
    case 'sequentialVsCombination'
        col = [0 0 0.73;...
               0.73 0 0];
 	case 'sequentialVsCombination2'
        col = [0 0.73 0;...
               1 0.73 0];
    case 'responders'
        col = [0.9 0.6 0];
        
    case 'nonresponders'
        col = [0.7 0 0.7];
        
    case 'all'
        col = [0.7 0.7 0];
	
    case 'fs'
        col = [0 0.5 0;...      % measurable/all
               0.7 0 0;...   	% measurable/excludeCDEIS
               0 0 0.7;...    	% all/all
               0.7 0 0.7;...    % all/excludeCDEIS
               0 0.8 0;...      % measurable/all/relapse
               0 0 0.9];        % all/all/relapse
           
    case 'annotatePars'
        col2 = IBD_colourMap('dark rainbow',8);
        col         = struct;
        col.Bact   	= col2(1,:);
        col.Neut   	= col2(2,:);
        col.Phago	= col2(3,:);
        col.T     	= col2(4,:);
        col.barrier	= col2(5,:);
        col.M      	= col2(6,:);
        col.DC     	= col2(7,:);
        col.other 	= [0.6  0.6  0.6];  % grey
        
    case 'yline'
        col = [0.8 0.8 0.8];
        
    case 'cytokineInhibitor'
        col = [0 0.8 0];
        
    case 'S1PRmodulator'
        col = [0 0 0.8];
        
    otherwise
        warning('Requested colour is not defined. Returning black')
        col = [0 0 0];
end

%--------------------------------------------------------------------------
end

