function ssFractionsLiterature = IBD_LPfractionsLiterature()
%==========================================================================
% ssFractionsLiterature = IBD_LPfractionsLiterature()
%==========================================================================
% Fractions of different cell types from all LP cells, taken from Xue et
% al., 2021
%--------------------------------------------------------------------------
%-- output
% ssFractionsLiterature:  fractions for UC and healthy
%==========================================================================

B_cells_naive                   = [0.0258 0.0170 0.0294 0.0482]';
B_cells_memory                  = [0.0626 0.0821 0.1054 0.0644]';
Plasma_cells                    = [0.1172 0.0626 0.0956 0.0578]';
T_cells_CD8                     = [0.1436 0.0810 0.0903 0.0505]';
T_cells_CD4_naive               = [0 0 0.0016 0.0070]';
T_cells_CD4_memory_resting      = [0.1382 0.0690 0.0833 0.0510]';
T_cells_CD4_memory_activated    = [0.0008 0.0025 0.0065 0.0142]';
T_cells_follicular_helper       = [0.0364 0.0414 0.0601 0.0372]';
T_cells_regulatory              = [0.0092 0.0151 0.0058 0.0120]';
T_cells_gamma_delta             = [0.0215 0.0316 0.0064 0.0156]';
NK_cells_resting                = [0 0 0.0004 0.0023]';
NK_cells_activated              = [0.0618 0.0358 0.0423 0.0273]';
Monocytes                       = [0.0046 0.0060 0.0070 0.0138]';
Macrophages_M0                  = [0.0011 0.0035 0.0547 0.0429]';
Macrophages_M1                  = [0.0196 0.0171 0.0643 0.0434]';
Macrophages_M2                  = [0.1646 0.0521 0.0381 0.0333]';
Dendritic_cells_resting         = [0.0157 0.0128 0.0089 0.0168]';
Dendritic_cells_activated       = [0.0206 0.0152 0.0337 0.0229]';
Mast_cells_resting              = [0.1211 0.0759 0.0064 0.0295]';
Mast_cells_activated            = [0.0144 0.0227 0.1975 0.0847]';
Eosinophils                     = [0.0207 0.0259 0.0051 0.0137]';
Neutrophils                     = [0.0003 0.0011 0.0572 0.0595]';

ssFractionsLiterature = table(...
    B_cells_naive,...
    B_cells_memory,...
    Plasma_cells,...
    T_cells_CD8,...
    T_cells_CD4_naive,...
    T_cells_CD4_memory_resting,...
    T_cells_CD4_memory_activated,...
    T_cells_follicular_helper,...
    T_cells_regulatory,...
    T_cells_gamma_delta,...
    NK_cells_resting,...
    NK_cells_activated,...
    Monocytes,...
    Macrophages_M0,...
    Macrophages_M1,...
    Macrophages_M2,...
    Dendritic_cells_resting,...
    Dendritic_cells_activated,...
    Mast_cells_resting,...
    Mast_cells_activated,...
    Eosinophils,...
    Neutrophils,...
    'RowNames',{'healthy_mean','healthy_SD','UC_mean','UC_SD'});

%--------------------------------------------------------------------------