function FCP = IBD_calcFCPss(ss,par,I)
%==========================================================================
% FCPss = IBD_calcFCPss(X)
%==========================================================================
% Calculate steady state value of FCP
%--------------------------------------------------------------------------
%-- input
% ss:           steady state values (nr of states x nr of subjects)
% par:          parameters (nr of parameters x nr of subjects)
% I:            index struct
%--------------------------------------------------------------------------
%-- output
% FCP:          vector of FCP values for all n subjects
%==========================================================================

% Introduction:
% As
% dX(I.FCP) = (1-epi)*epsilonFCP*Neut_LP - muFCP*FCP
% FCP_ss    = ((1-epi_ss)*epsilonFCP*Neut_LP_ss)/muFCP

FCP = ((1-ss(I.epi,:)).*par(I.epsilonFCP,:).*ss(I.Neut_LP,:))./par(I.muFCP,:);

%--------------------------------------------------------------------------
end

