function [A,nu] = IBD_calcReactionRates(model)
%==========================================================================
% [A,nu] = IBD_calcReactionRates(model)
%==========================================================================
% Reaction rates/propensities and stochiometric matrix
%--------------------------------------------------------------------------
%-- input
% model:        model information struct
%--------------------------------------------------------------------------
%-- output
% A:            all reaction rates/propensities (matrix)
% nu:           stoichiometric matrix
%==========================================================================

% Reaction rates
A = zeros(size(model.X,1),model.nrOfRct*model.I.nrOfBact);

for i = 1:length(model.T)
    t = model.T(i);
    X = model.X(i,:)';
    A(i,:) = IBD_reactionRates(t,X,model.par,model)';
end

% Stoichiometric matrix
nu = IBD_stochMatrix(model);%.*IBD_vcc(model.par,model);

%--------------------------------------------------------------------------

end