function stateTable = IBD_defineStates()
%==========================================================================
% stateTable = IBD_defineStates()
%==========================================================================
% Define state names, characteristics and description
%--------------------------------------------------------------------------
%-- output
% stateTable:  	table of state names, characteristics and description
%==========================================================================

i = 1;
name            = {}; 	% state name
comp            = [];  	% compartment: 1 = LP; 2 = LN; 3 = other (Lu or unitless)
transit         = []; 	% true/false
BactSpecific 	= [];   % true/false
simState        = [];   % state used in simulation true/false (false: calculated after simulation)
description     = {};   % description of cell type

name{i} = 'qDC_LP';     comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = true;     description{i} = 'quiescent dendritic cells'; i=i+1;
name{i} = 'tDC_LP';     comp(i) = 1;    transit(i) = false; BactSpecific(i) = true;     simState(i) = true;     description{i} = 'tolerogenic dendritic cells'; i=i+1;
name{i} = 'rDC_LP';     comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = true;     description{i} = 'responsive dendritic cells'; i=i+1;
name{i} = 'sDC_LP';     comp(i) = 1;  	transit(i) = false;	BactSpecific(i) = true;     simState(i) = true;     description{i} = 'stimulatory dendritic cells'; i=i+1;
name{i} = 'tDCi_LP';    comp(i) = 1;  	transit(i) = false;	BactSpecific(i) = false; 	simState(i) = true;     description{i} = 'tolerogenic dendritic cells (inhibited antigen presentation)'; i=i+1;
name{i} = 'sDCi_LP';    comp(i) = 1;  	transit(i) = false;	BactSpecific(i) = false;  	simState(i) = true;     description{i} = 'stimulatory dendritic cells (inhibited antigen presentation)'; i=i+1;
name{i} = 'tDC_LN';     comp(i) = 2;    transit(i) = false; BactSpecific(i) = true;     simState(i) = true;     description{i} = 'tolerogenic dendritic cells'; i=i+1;
name{i} = 'sDC_LN';     comp(i) = 2;    transit(i) = false; BactSpecific(i) = true;     simState(i) = true;     description{i} = 'stimulatory dendritic cells'; i=i+1;
name{i} = 'tDCi_LN';    comp(i) = 2;    transit(i) = false; BactSpecific(i) = false;  	simState(i) = true;     description{i} = 'tolerogenic dendritic cells (inhibited antigen presentation)'; i=i+1;
name{i} = 'sDCi_LN';    comp(i) = 2;    transit(i) = false; BactSpecific(i) = false;   	simState(i) = true;     description{i} = 'stimulatory dendritic cells (inhibited antigen presentation)'; i=i+1;
name{i} = 'Tn_LN';      comp(i) = 2;    transit(i) = false;	BactSpecific(i) = false;    simState(i) = true;     description{i} = 'naive CD4+ T cells'; i=i+1;
name{i} = 'Tcm_LN';     comp(i) = 2;    transit(i) = false; BactSpecific(i) = false;    simState(i) = true;     description{i} = 'central memory T cells'; i=i+1;
name{i} = 'Tn2Treg_LN'; comp(i) = 2;    transit(i) = true;  BactSpecific(i) = true;     simState(i) = true;     description{i} = 'naive T cells stimulated by tolerogenic dendritic cells, proliferating and differentiating to Treg'; i=i+1;
name{i} = 'Tn2Th1_LN';  comp(i) = 2;    transit(i) = true;  BactSpecific(i) = true;     simState(i) = true;     description{i} = 'naive T cells stimulated by stimulatory dendritic cells, proliferating and differentiating to Th1'; i=i+1;
name{i} = 'Tn2Th2_LN';  comp(i) = 2;    transit(i) = true;  BactSpecific(i) = true;     simState(i) = true;     description{i} = 'naive T cells stimulated by stimulatory dendritic cells, proliferating and differentiating to Th2'; i=i+1;
name{i} = 'Tn2Th17_LN'; comp(i) = 2;    transit(i) = true;  BactSpecific(i) = true;     simState(i) = true;     description{i} = 'naive T cells stimulated by stimulatory dendritic cells, proliferating and differentiating to Th17'; i=i+1;
name{i} ='Tcm2Temreg_LN';comp(i) = 2;   transit(i) = true;  BactSpecific(i) = true;     simState(i) = true;     description{i} = 'central memory T cells stimulated by tolerogenic dendritic cells, proliferating and differentiating (regulatory type)'; i=i+1;
name{i} = 'Tcm2Tem1_LN';comp(i) = 2;    transit(i) = true;  BactSpecific(i) = true;     simState(i) = true;     description{i} = 'central memory T cells stimulated by stimulatory dendritic cells, proliferating and differentiating (type 1)'; i=i+1;
name{i} = 'Tcm2Tem2_LN';comp(i) = 2;    transit(i) = true;  BactSpecific(i) = true;     simState(i) = true;     description{i} = 'central memory T cells stimulated by stimulatory dendritic cells, proliferating and differentiating (type 2)'; i=i+1;
name{i} = 'Tcm2Tem17_LN';comp(i) = 2;   transit(i) = true;  BactSpecific(i) = true;     simState(i) = true;     description{i} = 'central memory T cells stimulated by stimulatory dendritic cells, proliferating and differentiating (type 17)'; i=i+1;
name{i} = 'Tem2Treg_LP';comp(i) = 1;    transit(i) = true;  BactSpecific(i) = true;     simState(i) = true;     description{i} = 'effector memory T cells, proliferating and differentiating to Treg'; i=i+1;
name{i} = 'Tem2Th1_LP'; comp(i) = 1;    transit(i) = true;  BactSpecific(i) = true;     simState(i) = true;     description{i} = 'effector memory T cells, proliferating and differentiating to Th1'; i=i+1;
name{i} = 'Tem2Th2_LP'; comp(i) = 1;    transit(i) = true;  BactSpecific(i) = true;     simState(i) = true;     description{i} = 'effector memory T cells, proliferating and differentiating to Th2'; i=i+1;
name{i} = 'Tem2Th17_LP';comp(i) = 1;    transit(i) = true;  BactSpecific(i) = true;     simState(i) = true;     description{i} = 'effector memory T cells, proliferating and differentiating to Th17'; i=i+1;
name{i} = 'Temreg_LP'; 	comp(i) = 1;    transit(i) = false; BactSpecific(i) = true;     simState(i) = true;     description{i} = 'effector memory T cells (regulatory type)'; i=i+1;
name{i} = 'Tem1_LP'; 	comp(i) = 1;    transit(i) = false; BactSpecific(i) = true;     simState(i) = true;     description{i} = 'effector memory T cells (type 1)'; i=i+1;
name{i} = 'Tem2_LP'; 	comp(i) = 1;    transit(i) = false; BactSpecific(i) = true;     simState(i) = true;     description{i} = 'effector memory T cells (type 2)'; i=i+1;
name{i} = 'Tem17_LP'; 	comp(i) = 1;    transit(i) = false; BactSpecific(i) = true;     simState(i) = true;     description{i} = 'effector memory T cells (type 17)'; i=i+1;
name{i} = 'iTreg_LP';   comp(i) = 1;    transit(i) = false;	BactSpecific(i) = true;     simState(i) = true;     description{i} = 'induced regulatory T cells'; i=i+1;
name{i} = 'Th1_LP';     comp(i) = 1;    transit(i) = false; BactSpecific(i) = true;     simState(i) = true;     description{i} = 'type 1 T helper cells'; i=i+1;
name{i} = 'Th2_LP';     comp(i) = 1;    transit(i) = false; BactSpecific(i) = true;     simState(i) = true;     description{i} = 'type 2 T helper cells'; i=i+1;
name{i} = 'Th17_LP';    comp(i) = 1;    transit(i) = false; BactSpecific(i) = true;     simState(i) = true;     description{i} = 'type 17 T helper cells'; i=i+1;
name{i} = 'MP1_LP';     comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = true;     description{i} = 'macrophages (P1)'; i=i+1;
name{i} = 'MP1a_LP';    comp(i) = 1;    transit(i) = false; BactSpecific(i) = true;     simState(i) = true;     description{i} = 'antigen-experienced macrophages (P1)'; i=i+1;
name{i} = 'MP1ai_LP';   comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;   	simState(i) = true;     description{i} = 'antigen-experienced macrophages (P1) (inhibited antigen presentation)'; i=i+1;
name{i} = 'MP2_LP';     comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = true;     description{i} = 'macrophages (P2)'; i=i+1;
name{i} = 'MP2a_LP';    comp(i) = 1;    transit(i) = false; BactSpecific(i) = true;     simState(i) = true;     description{i} = 'antigen-experienced macrophages (P2)'; i=i+1;
name{i} = 'MP2ai_LP';   comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;   	simState(i) = true;     description{i} = 'antigen-experienced macrophages (P2) (inhibited antigen presentation)'; i=i+1;
name{i} = 'MP3_LP';     comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = true;     description{i} = 'macrophages (P3)'; i=i+1;
name{i} = 'MP3a_LP';    comp(i) = 1;    transit(i) = false; BactSpecific(i) = true;     simState(i) = true;     description{i} = 'antigen-experienced macrophages (P3)'; i=i+1;
name{i} = 'MP3ai_LP';   comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;   	simState(i) = true;     description{i} = 'antigen-experienced macrophages (P3) (inhibited antigen presentation)'; i=i+1;
name{i} = 'MP4_LP';     comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = true;     description{i} = 'macrophages (P4)'; i=i+1;
name{i} = 'MP4a_LP';    comp(i) = 1;    transit(i) = false; BactSpecific(i) = true;     simState(i) = true;     description{i} = 'antigen-experienced macrophages (P4)'; i=i+1;
name{i} = 'MP4ai_LP';   comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;   	simState(i) = true;     description{i} = 'antigen-experienced macrophages (P4) (inhibited antigen presentation)'; i=i+1;
name{i} = 'Meffero_LP'; comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = true;     description{i} = 'efferocytosis-type macrophages'; i=i+1;
name{i} = 'Mefferoa_LP';comp(i) = 1;    transit(i) = false; BactSpecific(i) = true;     simState(i) = true;     description{i} = 'antigen-experienced efferocytosis-type macrophages'; i=i+1;
name{i} = 'Mefferoai_LP';comp(i) = 1;   transit(i) = false; BactSpecific(i) = false;   	simState(i) = true;     description{i} = 'antigen-experienced efferocytosis-type macrophages (inhibited antigen presentation)'; i=i+1;
name{i} = 'MP1inf_LP'; 	comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = true;     description{i} = 'infected macrophages (P1)'; i=i+1;
name{i} = 'MP2inf_LP'; 	comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = true;     description{i} = 'infected macrophages (P2)'; i=i+1;
name{i} = 'MP3inf_LP'; 	comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = true;     description{i} = 'infected macrophages (P3)'; i=i+1;
name{i} = 'MP4inf_LP';	comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = true;     description{i} = 'infected macrophages (P4)'; i=i+1;
name{i} ='Mefferoinf_LP';comp(i) = 1; 	transit(i) = false; BactSpecific(i) = false;    simState(i) = true;     description{i} = 'infected efferocytosis-type macrophages'; i=i+1;
name{i} = 'Bact_LP';    comp(i) = 1; 	transit(i) = false; BactSpecific(i) = true;     simState(i) = true;     description{i} = 'bacteria'; i=i+1;
name{i} = 'Neut_LP';    comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = true;     description{i} = 'neutrophil granulocytes'; i=i+1;
name{i} = 'apoNeut_LP'; comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = true;     description{i} = 'apoptotic neutrophil granulocytes'; i=i+1;
name{i} = 'Bact_Lu';  	comp(i) = 3;    transit(i) = false; BactSpecific(i) = true;     simState(i) = true;     description{i} = 'bacteria'; i=i+1;
name{i} = 'nutrients'; 	comp(i) = 3;    transit(i) = false; BactSpecific(i) = false;   	simState(i) = true;     description{i} = 'nutrients for bacteria'; i=i+1;
name{i} = 'epi';        comp(i) = 3;    transit(i) = false; BactSpecific(i) = false;    simState(i) = true;     description{i} = 'epithelial barrier'; i=i+1;
name{i} = 'mucus';      comp(i) = 3;    transit(i) = false; BactSpecific(i) = false;    simState(i) = true;     description{i} = 'mucus layer'; i=i+1;
name{i} = 'tissue';   	comp(i) = 3;    transit(i) = false; BactSpecific(i) = false;    simState(i) = true;     description{i} = 'tissue/ECM'; i=i+1;
name{i} = 'FCP';        comp(i) = 3;    transit(i) = false; BactSpecific(i) = false;    simState(i) = true;     description{i} = 'fecal calprotectin'; i=i+1;
name{i} = 'DC_tot_LN';  comp(i) = 2;    transit(i) = false; BactSpecific(i) = false;    simState(i) = false;    description{i} = 'total dendritic cells'; i=i+1;
name{i} = 'Th_tot_LN';  comp(i) = 2;    transit(i) = false; BactSpecific(i) = false;  	simState(i) = false;    description{i} = 'total T helper cells'; i=i+1;
name{i} ='iTreg_tot_LN';comp(i) = 2;    transit(i) = false; BactSpecific(i) = false; 	simState(i) = false;    description{i} = 'total induced regulatory T cells'; i=i+1;
name{i} = 'Tm_tot_LN';  comp(i) = 2;    transit(i) = false; BactSpecific(i) = false;    simState(i) = false;    description{i} = 'total memory T cells'; i=i+1;
name{i} = 'DC_tot_LP';  comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = false;    description{i} = 'total dendritic cells'; i=i+1;
name{i} = 'Th_tot_LP';	comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = false;    description{i} = 'total T helper cells'; i=i+1;
name{i} = 'Temh_tot_LP';comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = false;    description{i} = 'total effector memory T helper cells'; i=i+1;
name{i} ='iTreg_tot_LP';comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = false;    description{i} = 'total induced regulatory T cells'; i=i+1;
name{i} ='Temreg_tot_LP';comp(i) = 1;   transit(i) = false; BactSpecific(i) = false;    simState(i) = false;    description{i} = 'total effector memory regulatory T cells'; i=i+1;
name{i} = 'Tm_tot_LP';  comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = false;    description{i} = 'total memory T cells'; i=i+1;
name{i} = 'MP1_tot_LP'; comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = false;    description{i} = 'MP1 macrophages'; i=i+1;
name{i} = 'MP2_tot_LP'; comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = false;    description{i} = 'MP2 macrophages'; i=i+1;
name{i} = 'MP3_tot_LP'; comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = false;    description{i} = 'MP3 macrophages'; i=i+1;
name{i} = 'MP4_tot_LP'; comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = false;    description{i} = 'MP4 macrophages'; i=i+1;
name{i} ='Meffero_tot_LP';comp(i) = 1;  transit(i) = false; BactSpecific(i) = false;    simState(i) = false;    description{i} = 'efferocytosis-type macrophages'; i=i+1;
name{i} = 'M_tot_LP';   comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = false;    description{i} = 'total macrophages'; i=i+1;
name{i} = 'SPM_LP';     comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = false;    description{i} = 'specialised pro-resolving mediators'; i = i+1;
name{i} = 'APCp_LN';  	comp(i) = 2;    transit(i) = false; BactSpecific(i) = true;     simState(i) = false;    description{i} = 'antigen-presenting cells with co-stimulatory molecules'; i = i+1;
name{i} = 'APCm_LN';  	comp(i) = 2;    transit(i) = false; BactSpecific(i) = true;     simState(i) = false;    description{i} = 'antigen-presenting cells without co-stimulatory molecules'; i = i+1;
name{i} = 'APCp_LP';  	comp(i) = 1;    transit(i) = false; BactSpecific(i) = true;     simState(i) = false;    description{i} = 'antigen-presenting cells with co-stimulatory molecules'; i = i+1;
name{i} = 'APCm_LP';  	comp(i) = 1;    transit(i) = false; BactSpecific(i) = true;     simState(i) = false;    description{i} = 'antigen-presenting cells without co-stimulatory molecules'; i = i+1;
name{i} = 'MPhago_LP'; 	comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;   	simState(i) = false;    description{i} = 'phagocytosing macrophages'; i = i+1;
name{i} = 'Phago_LP';  	comp(i) = 1;    transit(i) = false; BactSpecific(i) = false;    simState(i) = false;    description{i} = 'phagocytosing cells'; i = i+1;
name{i} = 'CNC_LP';    	comp(i) = 1;    transit(i) = false; BactSpecific(i) = true;     simState(i) = false;    description{i} = 'critical neutrophil (/phagocytic cell) concentration'; i = i+1;
name{i} = 'iTreg_eff_LN';comp(i) = 2;  	transit(i) = false; BactSpecific(i) = true;     simState(i) = false;    description{i} = 'concentration of effective regulatory T cells'; i = i+1;
name{i} = 'iTreg_eff_LP';comp(i) = 1;  	transit(i) = false; BactSpecific(i) = true;     simState(i) = false;    description{i} = 'concentration of effective regulatory T cells'; i = i+1;
name{i} = 'Th1_eff_LP'; comp(i) = 1;  	transit(i) = false; BactSpecific(i) = true;     simState(i) = false;    description{i} = 'concentration of effective Th1 cells'; i = i+1;
name{i} = 'Th2_eff_LP'; comp(i) = 1;  	transit(i) = false; BactSpecific(i) = true;     simState(i) = false;    description{i} = 'concentration of effective Th2 cells'; i = i+1;
name{i} = 'Th17_eff_LP';comp(i) = 1;  	transit(i) = false; BactSpecific(i) = true;     simState(i) = false;    description{i} = 'concentration of effective Th17 cells'; i = i+1;
name{i} = 'Th_eff_tot_LN';comp(i) = 1; 	transit(i) = false; BactSpecific(i) = true;     simState(i) = false;    description{i} = 'total concentration of effective Th cells'; i = i+1;
name{i} = 'Th_eff_tot_LP';comp(i) = 1; 	transit(i) = false; BactSpecific(i) = false;  	simState(i) = false;    description{i} = 'total concentration of effective Th cells'; i = i+1;

stateTable = table(name',comp',transit',BactSpecific',simState',description','VariableNames',{'name','comp','transit','BactSpecific','simState','description'},'RowNames',name);

%--------------------------------------------------------------------------

end