function X0 = IBD_initialValues(model)
%==========================================================================
% X0 = IBD_initialValues(model)
%==========================================================================
% Initial values
%--------------------------------------------------------------------------
%-- input
% model:        model information struct
%--------------------------------------------------------------------------
%-- output
% X0:           initial values vector
%==========================================================================

I = model.I;

% Concentrations starting at 0
X0 = zeros(model.I.nrOfStates,1);

% Unitless functions:
X0(I.epi)               = 1;
X0(I.mucus)             = 1;
X0(I.tissue)            = 1;
X0(I.Bact_Lu)           = [1;zeros(model.I.nrOfBact-1,1)];

end