function parName = IBD_uniqueParName(I)
%==========================================================================
% parName = IBD_uniqueParName(I)
%==========================================================================
% Make unique parameter names by assigning serial numbers to
% bacteria-specific parameters
% 27 January 2020
%--------------------------------------------------------------------------
%-- input
% I:                index struct
%--------------------------------------------------------------------------
%-- output
% parName:    	cell array of unique state names
%==========================================================================

parName = I.parName;
uniquePars = unique(parName,'stable');
for i = 1:length(uniquePars)
    thisI = I.(uniquePars{i});
    for j = 1:size(thisI,1)
        if size(thisI,1)>1
            BactNumber = ['_',int2str(j)];
        else
            BactNumber = [];
        end
        parName{thisI(j,1)} = [parName{thisI(j,1)},BactNumber];
    end
end

%--------------------------------------------------------------------------
end

