function stateName = IBD_uniqueStateName(I)
%==========================================================================
% stateName = IBD_uniqueStateName(I)
%==========================================================================
% Make unique state names by assigning serial numbers to transit
% compartments and bacteria-specific states
% 27 January 2020
%--------------------------------------------------------------------------
%-- input
% I:                index struct
%--------------------------------------------------------------------------
%-- output
% stateName:    	cell array of unique state names
%==========================================================================

stateName = I.stateName;
uniqueStates = unique(stateName,'stable');
for i = 1:length(uniqueStates)
    thisI = I.(uniqueStates{i});
    for j = 1:size(thisI,1)
        for k = 1:size(thisI,2)
            if size(thisI,1)>1
                BactNumber = ['_',int2str(j)];
            else
                BactNumber = [];
            end
            if size(thisI,2)>1
                transitNumber = ['_',int2str(k)];
            else
                transitNumber = [];
            end
            stateName{thisI(j,k)} = [stateName{thisI(j,k)},BactNumber,transitNumber];
        end
    end
end

%--------------------------------------------------------------------------
end

