function f = IBD_plotFeaturePerformance(fsTable,plotTitle)
%==========================================================================
% f = IBD_plotFeaturePerformance(fsTable)
%==========================================================================
% Plot performance over number of features
% 28 January 2020
%--------------------------------------------------------------------------
%-- input
% fsTable:        	table resulting from IBD_fs_LDAfeatureSelection
% title:            plot title (optional)
%--------------------------------------------------------------------------
%-- output
% f:                figure
%==========================================================================

f = figure;
plot(fsTable.nr,fsTable.correct)
if exist('plotTitle','var')
    title(plotTitle)
end
xlabel('Nr of features')
ylabel('Fraction correctly classified')
f = IBD_nicePlot(f);

%--------------------------------------------------------------------------
end

