function f = IBD_plotIndAndSave(ind2plot,p,plotName,save2pdf,save2tikz,extraCode)
%==========================================================================
% f = IBD_plotIndAndSave(individual2plot,p,save2pdf,save2tikz,extraCode)
%==========================================================================
% Plot individuals and save to pdf/tikz
%--------------------------------------------------------------------------
%-- input
% ind2plot:     individual
% p:            plot specification struct
% save2pdf:     true | false (default: false)
% save2tikz:    true | false (default: false)
% extraCode:    (optional)
%--------------------------------------------------------------------------
%-- output
% f:            figure
%==========================================================================

if ~exist('save2tikz','var')
    save2tikz = false;
end
if ~exist('save2pdf','var')
    save2pdf = false;
end
if ~exist('extraCode','var')
    extraCode = [];
end

f = IBD_plotIndividuals(ind2plot,p);

if save2pdf
    IBD_saveFigure(f,plotName,'pdf')
end

if save2tikz
    [p.tikz] = deal(true);
    f_tikz   = IBD_plotIndividuals(ind2plot,p);
    IBD_saveFigure(f_tikz,plotName,'tikz',extraCode)
end

%--------------------------------------------------------------------------
end

