function default = IBD_plotSpecReference(model)
%==========================================================================
% default = IBD_plotSpecReference(model)
%==========================================================================
% Default plot specifications
%--------------------------------------------------------------------------
%-- input
% model:     	model struct
%--------------------------------------------------------------------------
%-- output
% default:   	struct of plot specifications
%==========================================================================

% Default plot specifications
default.states    	= {};
default.Bact        = {'commensal','STm','extracellular'};
default.rates       = [];
default.ylim     	= [];
default.xlim        = [];
default.xlabel      = '';
default.ylabel      = '';
default.xunit       = 'd';          % 'h' hours | 'd' days | 'w' weeks | 'min' minutes
default.alpha       = 0.3;          % FaceAlpha for 90 % intervals
default.q5q95line   = true;         % plot a line around 90 % intervals
default.legend      = {};
default.tikzLegend  = {};
default.legendPos   = 'best';
default.main        = '';
default.titlePos    = 'center';
default.titleUp     = [];
default.showLegend  = true;
default.legendRow   = 1;            % in which row to show legend (number | vector | 'all' | 'none')
default.minusFactor = 30;
default.grid        = true;
default.log        	= false;
default.normMax    	= false;        % normalise to maximum value
default.norm0       = false;        % normalise to start value
default.lstyle      = '-';
default.lwd       	= 3;
default.msize       = 13;           % marker size
default.mstyle      = 'none';
default.fontsize	= 18;
default.xValues   	= {};
default.yValues   	= {};
default.zValues     = {};       % if specified contour plot is generated
default.tValues     = {};       % if specified time-coloured plot is generated
default.colourMap   = [];
default.rowcol      = [];       % number of rows and columns
default.transit     = false;    % plot transit compartments separately
default.xline       = [];       % vertical line
default.yline       = [];       % horizontal line
default.ylineCol    = [0.4 0.4 0.4]; % colour of horizontal line
default.ylineLineStyle = '-';       % linetype of horizontal line
default.rectangle   = [];       % [x y width height]
default.tikz        = false;    % prepare plot for matlab2tikz
default.tikzoptions = {};       % extraTikzpictureOptions
default.noLink   	= [];       % individuals that should not be linked by linkaxes
default.onlyLegend  = [];       % rows with only legend
default.removeXticks= false;    % remove x tick labels in all but last row
default.background  = [];       % filled rectangle in background
default.backgroundCol= [];      

end