%==========================================================================
% IBD_AnalyseLSA
%==========================================================================
% (Visual) analysis of local sensitivity analysis
% 11 July 2019
%==========================================================================

clearvars -except save2tikz save2pdf

fileName = IBD_getFileName(mfilename('fullpath'));
fprintf('<strong>%s</strong>\n',fileName)

%--------------------------------------------------------------------------
thisFile = strrep(fileName,'IBD_','');

% Load file name list
load('Data/fileNameList.mat','fileNameList')

% Load data
load(fileNameList.LSA)

%--------------------------------------------------------------------------

if ~exist('save2tikz','var')
    save2tikz = false;
end
if ~exist('save2pdf','var')
    save2pdf = false;
end

%--------------------------------------------------------------------------
% Plots
% outputs = unique(LSA.output)';        % all
outputs = {'Thmax','Mmax','Neutmax'};
outputTitles = {'Th_{max}','M_{max}','Neut_{max}'};

f = figure;

plotIdx = 1:10;

LSAperOutput = struct;

for i = 1:length(outputs)
    subplot(length(outputs),1,i)
    ax = gca;
	[~,LSAperOutput.(outputs{i})] = IBD_plotLSA(LSA,individual_ref,outputs{i},plotIdx,true,save2tikz,ax);
    if i<length(outputs)
        xlabel('')
    end
    title(outputTitles{i})
    if i == 3
        xticks(0:0.1:0.4)
    end
end

if save2pdf
    IBD_saveFigure(f,['LSA'],'pdf')
end
if save2tikz
    IBD_saveFigure(f,['LSA'],'tikz')
end
