%==========================================================================
% IBD_RunLSA
%==========================================================================
% Local sensitivity analysis
% 10 July 2019
%--------------------------------------------------------------------------
%-- sources:
% Zi, Z. (2011):
% Sensitivity analysis approaches applied to systems biology mode
%==========================================================================

clear all

fileName = IBD_getFileName(mfilename('fullpath'));
fprintf('<strong>%s</strong>\n',fileName)

tic_LSA      = tic;

%--------------------------------------------------------------------------
% Get reference individual (parameters, steady state, no inflammation)
individual_ref = IBD_referenceIndividual();
I = individual_ref.I;

%--------------------------------------------------------------------------
% Specify different individuals incl. inflammation scenario and knockout
individual_ref.infection.epiDamage               = 1;
individual_ref.infection.tisDamage               = 1;

%--------------------------------------------------------------------------
% LSA options
output  = {'AUCtis','AUCepi','Thmax','Mmax','Neutmax','RI'};
LSA     = IBD_LSA(output,individual_ref);

fullFileName = ['Data/LSA_',date];
save(fullFileName,'LSA','individual_ref')
fprintf('LSA finished; saved as %s.mat; took %.2f h.\n',fullFileName,toc(tic_LSA)/60/60);

% Load and adapt file name list
load('Data/fileNameList.mat','fileNameList')
fileNameList.LSA = fullFileName;
save('Data/fileNameList.mat','fileNameList')

%--------------------------------------------------------------------------
