function objV = VarConstraints_objFct(x,target)
%==========================================================================
% objV = VarConstraints_objFct(x,target)
%==========================================================================
% Objective function for parameter estimation of logistic-normal
% distribution (only 2d)
%--------------------------------------------------------------------------
%-- input:
% x:        current parameters of underlying normal distribution
% target:   target mean and sigma of logistic-normal distribution
%--------------------------------------------------------------------------
%-- output:
% objV: 	objective value
%==========================================================================

Mu      = x(1:2)';
Sigma   = [x(3),x(5);x(5),x(4)];

[Mean,Var,~] = VarConstraints_meanVarCov(Mu,Sigma);

sim     = [Mean,Var];
data    = [target.mean,target.var];

objV    = sim-data;

end
