function [theta,theta_normal] = VarConstraints_sampleLogistic(Mu,Sigma)
%==========================================================================
% par = VarConstraints_sampleLogistic(Mu,Sigma)
%==========================================================================
% Sample from the logistic-normal distribution
%--------------------------------------------------------------------------
%-- input:
% Mu:       mean of normal distribution
% Sigma:    sigma of normal distribution
%--------------------------------------------------------------------------
%-- output:
% theta:  	parameters
%==========================================================================

% Sample from underlying normal
u               = mvnrnd(Mu,Sigma);
theta           = nan(1,length(u)+1);
theta_normal    = nan(1,length(u)+1);
for i = 1:length(u)
    theta(i)        = exp(u(i))/(sum(exp(u))+1);
    theta_normal(i) = u(i);
end
theta(end)          = 1/(sum(exp(u))+1);
theta_normal(end)   = 0;

end

