%==========================================================================
% IBD_AnalyseLogNdistribution
%==========================================================================
% Analyse extreme values of lognormally distributed parameter values
% 13 December 2019
%==========================================================================

clearvars -except save2tikz save2pdf

fileName = IBD_getFileName(mfilename('fullpath'));
fprintf('<strong>%s</strong>\n',fileName)

%--------------------------------------------------------------------------
thisFile = strrep(fileName,'IBD_','');

% Load file name list
load('Data/fileNameList.mat','fileNameList')

% Load IBD population data
load(fileNameList.CombinePatientPopulation,'par','individual_ref')

%--------------------------------------------------------------------------
% Calculate back to lognormal distribution with same mean and sigma
parLogN = par./individual_ref.par';

f = figure;

% Most extreme parameter per individual
subplot(1,2,1)
high = max(parLogN,[],1);
histogram(high)
xlabel('Most extreme (high) parameter value')

% Smallest parameter per individual
subplot(1,2,2)
low = min(parLogN,[],1);
histogram(low)
xlabel('Most extreme (low) parameter value')
f = IBD_nicePlot(f);

