%==========================================================================
% IBD_CombineNecessaryParChanges
%==========================================================================
% Combine necessary parameter changes for IBD
% 11 September 2019
%==========================================================================

clearvars -except save2tikz save2pdf

fileName = IBD_getFileName(mfilename('fullpath'));
fprintf('<strong>%s</strong>\n',fileName)

%--------------------------------------------------------------------------
thisFile = strrep(fileName,'IBD_','');

% Load file name list
load('Data/fileNameList.mat','fileNameList')
finishedRuns = fileNameList.NecessaryParChangesForIBD(cellfun(@(x) isempty(x),strfind(fileNameList.NecessaryParChangesForIBD,'empty')));

% Load and combine data
minimalPar          = [];
minimalParIdx       = [];
classWhenSetBack	= [];
rounds              = [];
for j = 1:length(finishedRuns)
    S               = load(finishedRuns{j});
    minimalPar      = cat(2,minimalPar,S.minimalPar);
    minimalParIdx 	= cat(2,minimalParIdx,S.minimalParIdx);
   	classWhenSetBack= cat(2,classWhenSetBack,S.classWhenSetBack);
    rounds          = cat(2,rounds,S.rounds);
    if ~exist('individual_ref','var')
        individual_ref  = S.individual_ref;
    else
        assert(all(individual_ref.par==S.individual_ref.par),'Reference individuals are not the same!');
    end
end

% Save data
fullFileName = ['Data/',thisFile,'_',date,'.mat'];
save(fullFileName,'minimalPar','minimalParIdx','classWhenSetBack','rounds','individual_ref')
fprintf('Saved as %s\n',fullFileName);

% Load and adapt file name list
load('Data/fileNameList.mat','fileNameList')
fileNameList.(thisFile) = fullFileName;
save('Data/fileNameList.mat','fileNameList')

%--------------------------------------------------------------------------


