%==========================================================================
% IBD_FCPdynamics
%==========================================================================
% Analyse and determine parameter for FCP
% 13 November 2020
%==========================================================================

clearvars -except save2tikz save2pdf

fileName = IBD_getFileName(mfilename('fullpath'));
fprintf('<strong>%s</strong>\n',fileName)

%--------------------------------------------------------------------------
thisFile = strrep(fileName,'IBD_','');

% Load file name list
load('Data/fileNameList.mat','fileNameList')

% Load data
load(fileNameList.ClinicalIBDpopulation)

%--------------------------------------------------------------------------
% Calculate steady state FCP for all patients
FCP = IBD_calcFCPss(ssMI,par,individual_ref.I);

f = figure;

subplot(4,1,1)
histogram(FCP)
title('FCP')

subplot(4,1,2)
ULOQ = 1000;
FCP(FCP>ULOQ) = ULOQ;
histogram(FCP)
title('ULOQ = 1000')

subplot(4,1,3)
histogram(FCP(FCP<=250))
title('FCP')

subplot(4,1,4)
FCPpre = IBD_calcFCPss(ss0,par,individual_ref.I);
histogram(FCPpre(FCPpre<=250))
title('Pre-trigger FCP')

f = IBD_nicePlot(f);
%--------------------------------------------------------------------------