%==========================================================================
% IBD_PlotRespondersVsNonresponders
%==========================================================================
% Histograms for most different parameters/states between responders and
% non-responders
% 12 February 2020
%==========================================================================

clearvars -except save2tikz save2pdf

fileName = IBD_getFileName(mfilename('fullpath'));
fprintf('<strong>%s</strong>\n',fileName)

%--------------------------------------------------------------------------
thisFile = strrep(fileName,'IBD_','');

% Load file name list
load('Data/fileNameList.mat','fileNameList')

% Load IBD population data
load(fileNameList.CombinePatientPopulation)

% Only consider patients with CDEIS>6 in IBD - included in study
IBDpop = IBDpop(IBDpop.included,:);

% Load results of comparison


%--------------------------------------------------------------------------
if ~exist('save2tikz','var')
    save2tikz = false;
end
if ~exist('save2pdf','var')
    save2pdf = false;
end

%--------------------------------------------------------------------------
