%==========================================================================
% IBD_TestIndividualsWithProblems
%==========================================================================
% Closer look at those individuals with problems in steady state
% calculation
% 27 August 2019
%==========================================================================

clearvars -except save2tikz save2pdf

fileName = IBD_getFileName(mfilename('fullpath'));
fprintf('<strong>%s</strong>\n',fileName)

%--------------------------------------------------------------------------
thisFile = strrep(fileName,'IBD_','');

% % Load file name list
% load('Data/fileNameList.mat','fileNameList')
% 
% % Load data
% load(strrep(fileNameList.SamplePopulation{1},'xxx','problems'));

load('Data/fileNameList_xx.mat','fileNameList')
load(strrep(fileNameList.SamplePopulation{3},'xxx','problems'),'par','ss0','ssMI','IBDtype','X','individual_ref');

N_ind = 5;          % number of individuals to look at

%--------------------------------------------------------------------------
% Plot
default         = IBD_plotSpecReference(individual_ref);
default.xunit   = 'd';
default.ylabel  = 'Conc. [1/mL]';
default.titlePos= 'left';
default.grid    = false;
default.xlim    = [];

% Analyse individuals
for ind = 1:min(N_ind,size(par,2))
    individual_tmp      = individual_ref;
    individual_tmp.par  = par(:,ind)';
    individual_tmp      = IBD_runSteadyState(individual_tmp);
    [m,idx] = max(abs(individual_tmp.ode_par(0,individual_tmp.X_ss'))./individual_tmp.X_ss');
    fprintf('%i: %s (%.2e)\n',ind,individual_ref.I.stateName{idx},m)
    clear p
    p(1)        = default;
    p(1).states = {'Neut_LP','M_tot_LP','Th_tot_LP'};
    p(2)        = default;
    p(2).states = individual_ref.I.stateName(idx);
    f = IBD_plotIndividuals(individual_tmp,p);
end


