%==========================================================================
% IBD_TreatmentCorrelations
%==========================================================================
% Correlations between responsiveness to different treatments
% 1 December 2019
% CAUTION: OUTDATED???
%==========================================================================

clearvars -except save2tikz save2pdf

fileName = IBD_getFileName(mfilename('fullpath'));
fprintf('<strong>%s</strong>\n',fileName)

%--------------------------------------------------------------------------
thisFile = strrep(fileName,'IBD_','');

% Load file name list
load('Data/fileNameList.mat','fileNameList')

% Load IBD population data
load(fileNameList.CombinePatientPopulation)

% Define the "best"/most realistic treatment
e.TNF     	= 3;
e.integrin	= 4;
e.S1P    	= 5;

%--------------------------------------------------------------------------
%% For every treatment: for case of non-responders, probability of responsiveness to other treatments
treatmentOptions = {};
for i = 1:length(treatments)
    for e = 1:length(etas.(treatments{i}))
        treatmentOptions = [treatmentOptions,{[treatments{i},'_',etaNames.(treatments{i}){e}]}];
    end
end
alternativeTable = array2table(nan(length(treatmentOptions),length(treatmentOptions)+1),...
    'RowNames',treatmentOptions,'VariableNames',[{'total'},treatmentOptions]);

for a = 1:length(treatmentOptions)
    for b = 1:length(treatmentOptions)
        alternativeTable{treatmentOptions{a},'total'}               = sum(IBDpop.(['responseIdx_',treatmentOptions{a}])==1);
        alternativeTable{treatmentOptions{a},treatmentOptions{b}}   = sum(IBDpop.(['responseIdx_',treatmentOptions{a}])==1 & IBDpop.(['responseIdx_',treatmentOptions{b}])>1)/alternativeTable{treatmentOptions{a},'total'};
    end
end


for i_a = 1:length(treatments)
    for e_a = 1:length(etas.(treatments{i_a}))
        a = treatments{i_a};
        for i_b = 1:length(treatments)
            b = treatments{i_b};
            for e_b = 1:length(etas.(treatments{i_b}))
                alternativeTable{a,'total'} = sum(IBDpop.(['responseIdx_',a,'_',etaNames.(a){e.(a)}])==1);
                alternativeTable{a,b} = sum(IBDpop.(['responseIdx_',a,'_',etaNames.(a){e.(a)}])==1 & IBDpop.(['responseIdx_',b,'_',etaNames.(b){e.(b)}])>1)/sum(IBDpop.(['responseIdx_',a,'_',etaNames.(a){e.(a)}])==1);
            end
        end
    end
end

%--------------------------------------------------------------------------