function [] = IBD_combinationTreatment(scenarios,singleResponse)
%==========================================================================
% [] = IBD_combinationTreatment(scenarios,singleResponse)
%==========================================================================
% Simulate different treatment mechanisms
% 18 December 2020
%--------------------------------------------------------------------------
%-- input
% scenarios:        list of treatment scenarios
% singleResponse:   response rate [%] of the single treatments
%                   single value for all scenarios | vector of values
%==========================================================================

fileName = IBD_getFileName(mfilename('fullpath'));

if length(singleResponse)==1
    singleResponse = repmat(singleResponse,1,length(scenarios));
end
singleEta = {};
for i = 1:length(scenarios)
    if singleResponse==30
        singleEta{i} = 'eta30';
    elseif singleResponse==50
        singleEta{i} = 'eta50';
    else
        warning('Specify single response as either 30 or 50! Using 30')
    end
end

options                 = IBD_treatmentDatabase(scenarios{1});
options.etas            = options.(singleEta{1});
for i = 2:length(scenarios)
    optionsTmp        	= IBD_treatmentDatabase(scenarios{i});
    options.etas        = [options.etas;optionsTmp.(singleEta{i})];
    options.treatments  = [options.treatments,optionsTmp.treatments];
    options.scenario    = [options.scenario,'X',optionsTmp.scenario];
end
options = rmfield(options,{'eta30','eta50'});

fprintf('<strong>%s</strong>(%s)\n',fileName,options.scenario)
IBD_constantTreatment(options)      % saves automatically

%--------------------------------------------------------------------------